LibItsIvim_Encdec.cc File Reference
`#include <memory>`
`#include "LibItsIvim_EncdecDeclarations.hh"`
`#include "IVIMCodec.hh"`
`#include "UpperTesterIvimCodec.hh"`
`#include "loggers.hh"`

## Namespaces

| LibItsIvim__EncdecDeclarations

## Functions

BITSTRING | LibItsIvim__EncdecDeclarations::fx__enc__IvimReq (const LibItsIvim__TestSystem::IvimReq &p_ivimReq)
INTEGER | LibItsIvim__EncdecDeclarations::fx__dec__IvimReq (BITSTRING &b, LibItsIvim__TestSystem::IvimReq &p)
INTEGER | LibItsIvim__EncdecDeclarations::fx__dec__IvimInd (BITSTRING &b, LibItsIvim__TestSystem::IvimInd &p_ivimInd)
BITSTRING | LibItsIvim__EncdecDeclarations::fx__enc__IVIM (const IVIM__PDU__Descriptions::IVIM &p_ivim)
INTEGER | LibItsIvim__EncdecDeclarations::fx__dec__IVIM (BITSTRING &b, IVIM__PDU__Descriptions::IVIM &p)
BITSTRING | LibItsIvim__EncdecDeclarations::fx__enc__UtIvimInitialize (const LibItsIvim__TypesAndValues::UtIvimInitialize &p_utIvimInitialize)
BITSTRING | LibItsIvim__EncdecDeclarations::fx__enc__UtIvimTrigger (const LibItsIvim__TypesAndValues::UtIvimTrigger &p_utIvimTrigger)
BITSTRING | LibItsIvim__EncdecDeclarations::fx__enc__UtIvimUpdate (const LibItsIvim__TypesAndValues::UtIvimUpdate &p_utIvimUpdate)
BITSTRING | LibItsIvim__EncdecDeclarations::fx__enc__UtIvimTermination (const LibItsIvim__TypesAndValues::UtIvimTermination &p_utIvimTermination)
INTEGER | LibItsIvim__EncdecDeclarations::fx__dec__UtIvimResults (BITSTRING &b, LibItsIvim__TypesAndValues::UtIvimResults &p)
INTEGER | LibItsIvim__EncdecDeclarations::fx__dec__UtIvimEventInd (BITSTRING &b, LibItsIvim__TypesAndValues::UtIvimEventInd &p)